using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PolyTrader.Core.Persistence.Ef.Migrations
{
    /// <inheritdoc />
    public partial class AddMarketTakerFeeBps : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "TakerFeeBps",
                table: "core_markets",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "TakerFeeBps",
                table: "core_markets");
        }
    }
}
